List Calls
curl --request GET \
--url https://api.usesimple.ai/api/v1/calls \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.usesimple.ai/api/v1/calls"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.usesimple.ai/api/v1/calls', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.usesimple.ai/api/v1/calls",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.usesimple.ai/api/v1/calls"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.usesimple.ai/api/v1/calls")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.usesimple.ai/api/v1/calls")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"calls": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"simple_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"from_number": "<string>",
"to_number": "<string>",
"status": "enqueued",
"started_at": "2023-11-07T05:31:56Z",
"ended_at": "2023-11-07T05:31:56Z",
"duration": 123,
"created_at": "2023-11-07T05:31:56Z",
"transcripts": [
{
"text": "<string>",
"role": "<string>",
"timestamp": 123,
"function_name": "<string>",
"arguments": {}
}
],
"screen_pop_token": "<string>",
"call_prompt": "<string>",
"answered_by": "voicemail",
"updated_at": "2023-11-07T05:31:56Z",
"language": "<string>",
"transferred": true,
"handoff_metadata": {
"five9": {
"conversation_id": "<string>",
"tenant_name": "<string>",
"campaign_name": "<string>",
"transferred_at": "2023-11-07T05:31:56Z"
}
},
"direction": "inbound",
"tags": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"color": "<string>"
}
],
"voice_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agent_speaks_first": true,
"agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agent_branch": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agent_commit_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agent_branch_name": "<string>",
"external_identifiers": {},
"params": {},
"recording_presigned_url": "<string>",
"cart": {
"value": "<unknown>",
"checkout": {
"order_ids": [
"<string>"
]
}
},
"analyzers": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"prompt": "<string>",
"output_config": {
"type": "string",
"properties": {}
}
}
],
"analysis_results": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"analyzer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"prompt": "<string>",
"output_config": {},
"result": {}
}
],
"summary": "<string>",
"keyterms": [
"<string>"
]
}
],
"total_count": 123,
"page": 123,
"page_size": 123,
"total_pages": 123,
"filters": {
"status": "<string>",
"agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agent_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"transferred": true,
"created_at_gte": "2023-11-07T05:31:56Z",
"created_at_lte": "2023-11-07T05:31:56Z",
"updated_at_gte": "2023-11-07T05:31:56Z",
"updated_at_lte": "2023-11-07T05:31:56Z"
},
"sorting": {
"sort_by": "<string>",
"sort_direction": "<string>"
}
}{
"status": "error",
"success": false,
"error": "<string>",
"errors": [
"<string>"
]
}{
"status": "error",
"success": false,
"error": "<string>",
"errors": [
"<string>"
]
}Calls
List AI Phone Calls with the Simple AI API
Retrieve and paginate the inbound and outbound Simple AI phone calls available to your organization for review and processing.
GET
/
calls
List Calls
curl --request GET \
--url https://api.usesimple.ai/api/v1/calls \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.usesimple.ai/api/v1/calls"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.usesimple.ai/api/v1/calls', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.usesimple.ai/api/v1/calls",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.usesimple.ai/api/v1/calls"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.usesimple.ai/api/v1/calls")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.usesimple.ai/api/v1/calls")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"calls": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"simple_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"from_number": "<string>",
"to_number": "<string>",
"status": "enqueued",
"started_at": "2023-11-07T05:31:56Z",
"ended_at": "2023-11-07T05:31:56Z",
"duration": 123,
"created_at": "2023-11-07T05:31:56Z",
"transcripts": [
{
"text": "<string>",
"role": "<string>",
"timestamp": 123,
"function_name": "<string>",
"arguments": {}
}
],
"screen_pop_token": "<string>",
"call_prompt": "<string>",
"answered_by": "voicemail",
"updated_at": "2023-11-07T05:31:56Z",
"language": "<string>",
"transferred": true,
"handoff_metadata": {
"five9": {
"conversation_id": "<string>",
"tenant_name": "<string>",
"campaign_name": "<string>",
"transferred_at": "2023-11-07T05:31:56Z"
}
},
"direction": "inbound",
"tags": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"color": "<string>"
}
],
"voice_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agent_speaks_first": true,
"agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agent_branch": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agent_commit_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agent_branch_name": "<string>",
"external_identifiers": {},
"params": {},
"recording_presigned_url": "<string>",
"cart": {
"value": "<unknown>",
"checkout": {
"order_ids": [
"<string>"
]
}
},
"analyzers": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"prompt": "<string>",
"output_config": {
"type": "string",
"properties": {}
}
}
],
"analysis_results": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"analyzer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"prompt": "<string>",
"output_config": {},
"result": {}
}
],
"summary": "<string>",
"keyterms": [
"<string>"
]
}
],
"total_count": 123,
"page": 123,
"page_size": 123,
"total_pages": 123,
"filters": {
"status": "<string>",
"agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agent_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"transferred": true,
"created_at_gte": "2023-11-07T05:31:56Z",
"created_at_lte": "2023-11-07T05:31:56Z",
"updated_at_gte": "2023-11-07T05:31:56Z",
"updated_at_lte": "2023-11-07T05:31:56Z"
},
"sorting": {
"sort_by": "<string>",
"sort_direction": "<string>"
}
}{
"status": "error",
"success": false,
"error": "<string>",
"errors": [
"<string>"
]
}{
"status": "error",
"success": false,
"error": "<string>",
"errors": [
"<string>"
]
}See the AI phone calls guide for an overview of call setup, lifecycle, and generated data.
Authorizations
Query Parameters
Last modified on September 3, 2026